> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/customs-catalog-api/resources/retailer-catalog-onboarding.md).

# Retailer Catalog Onboarding

The catalog upload endpoints allows a retailer to upload a catalog that will be subject to validation processing.

{% tabs %}
{% tab title="Upload a catalog" %}
{% code expandable="true" %}

```bash
https://logistics-customscatalog-api.sandbox.eshopworld.com/api/v2/RetailerCatalog
```

{% endcode %}
{% endtab %}

{% tab title="Upload a catalog for a tenant" %}
{% code expandable="true" %}

```bash
https://logistics-customscatalog-api.sandbox.eshopworld.com/api/v2/RetailerCatalog/TenantCode/{tenantCode}
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Best first request

Use `POST /api/v2/RetailerCatalog/TenantCode/{tenantCode}` with one minimal product. The endpoint returns `202 Accepted` on success.

### What success looks like

A successful outcome is <mark style="color:$success;">`202 Accepted`</mark>. That proves auth, tenant scoping, payload shape, and the retailer-to-catalog ingestion path are working.&#x20;

{% code expandable="true" %}

```json
curl -X POST "https://logistics-customscatalog-api.sandbox.eshopworld.com/api/v2/RetailerCatalog/TenantCode/TENANT_01" \
  -H "Authorization: Bearer <JWT>" \
  -H "Content-Type: application/json" \
  -d '[
    {
      "productCode": "SKU-10001",
      "name": "Cotton T-Shirt",
      "description": "Short sleeve cotton t-shirt",
      "material": "100% cotton",
      "countryOfOrigin": "CN"
    }
  ]'
```

{% endcode %}

{% tabs %}
{% tab title="Try it" %}
{% @code-walkthrough/try-it specLoaded="" specEps="" method="POST" path="/api/v2/RetailerCatalog/TenantCode/{tenantCode}" baseUrl="<https://logistics-customscatalog-api.sandbox.eshopworld.com/>" title="Allows a retailer to upload a catalog for a tenant that will" defaults="{"path":{"tenantCode":""},"query":{},"headers":{"Content-Type":"application/json"},"body":\[{"productCode":"string","name":"string","description":"string","material":"string","countryOfOrigin":"AD","hsCode":"string","hsCodeRegion":"AD","parentProductCode":"string","category":"AnimalsPetSupplies","categoryDesc":"string","gender":"Male","ageGroup":"Newborn","size":"string","weight":0,"weightUnit":"Lb","url":"string","imageUrl":"string","unitPrice":{"amount":0,"currency":"ARS"},"dangerousGoods":true,"isCustomized":true,"additionalProductCode":"string","variantProductCode":"string","restrictions":\[{"type":"\n                hsCodeRestricted,\n                retailerRestricted\n            ","criteria":"\n                exclude,\n                include\n            ","countries":\["..."]}],"isRestricted":true,"mid":"string","midAddressZip":"string","additionalInformation":"string","categoryInformation":"string","isSubscription":true,"eccn":"string"}]}" mode="closed" %}
{% endtab %}
{% endtabs %}

#### Path Parameter

| Name         | Description                                    |
| ------------ | ---------------------------------------------- |
| `tenantCode` | <mark style="color:$danger;">`required`</mark> |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/customs-catalog-api/resources/retailer-catalog-onboarding.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
